Module jdk.jdi
Package com.sun.jdi

# Interface ShortValue

All Superinterfaces:
  `Comparable<ShortValue>`, `Mirror`, `PrimitiveValue`, `Value`

    public interface ShortValue
    extends PrimitiveValue, Comparable<ShortValue>

Provides access to a primitive `short` value in the target VM.

Since:
  1.3

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` | Compares the specified Object with this ShortValue for equality.
`int` | `hashCode()` | Returns the hash code value for this ShortValue.
`short` | `value()` | Returns this ShortValue as a short.

### Methods declared in interface java.lang.Comparable

`compareTo`

### Methods declared in interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Methods declared in interface com.sun.jdi.PrimitiveValue

`booleanValue, byteValue, charValue, doubleValue, floatValue, intValue, longValue, shortValue`

### Methods declared in interface com.sun.jdi.Value

`type`

## Method Details

### value

short value()
Returns this ShortValue as a short.

Returns:
  the `short` mirrored by this object.

### equals

boolean equals​(Object obj)
Compares the specified Object with this ShortValue for equality.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the reference object with which to compare.
Returns:
  true if the Object is a ShortValue and if applying "==" to the two mirrored primitives would evaluate to true; false otherwise.
See Also:
  `Object.hashCode()`, `HashMap`

### hashCode

int hashCode()
Returns the hash code value for this ShortValue.

Overrides:
  `hashCode` in class `Object`
Returns:
  the integer hash code
See Also:
  `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`